Subject: bug#28623: 27.0.50; lisp/progmodes/cc-engine.el incorrect indentation of C++14 curly-brace initializer list

From: Tadeus Prastowo <[email-masked]>
Date: Thu, 12 Oct 2017 13:38:56 +0200

Hi Alan!

On Wed, Oct 11, 2017 at 10:32 PM, Alan Mackenzie <[email-masked]> wrote:
> Hello, Tadeus.

[...]

> I'm sorry is been a week without any communication from me.  The reason
> is I've run into problems with other related cases.  For example, in
>
> 1.    auto bad4 = f <3> (
> 2.                       {3, 4},
>
> L2 needs to be parsed as an arglist-intro and indented as shown.  It's
> actually being parsed as a brace-list-open with anchor point on "auto".
>
> What's confusing me is the confusion between a brace list being
> recognised by its context (which is what
> c-looking-at-or-maybe-in-bracelist mostly does) and by its content.  The
> {3, 4} above is a brace list by its content but not by its context.
> However, it's being wrongly recognised as a by-context brace list, hence
> is being parsed and indented wrongly.
>
> I'm not going to have much time to sort this out over the next week or
> two, so please bear with me.  I haven't forgotten about this.

Thanks for sharing the problem with me.  I will also look into the
matter during this weekend.  Hopefully I can come up with a good
solution :)

> --
> Alan Mackenzie (Nuremberg, Germany).

--
Best regards,
Tadeus